/// <reference path="moodlet.ts"/>

setup.moodlets.pain = new Moodlet({
	title: "Pain",
	group: 'pain',
	description: '',
	effect: 0,
	timeMode: moodletTimeMode.Lasting
});

setup.moodletGroups.pleasure = new MoodletGroup({
	accumulationMode: moodletAccumulationMode.HIGHEST
});
setup.moodlets.orgasm = new Moodlet({
	title: "Orgasm",
	group: 'pleasure',
	description: '',
	effect: 30,
	timeMode: moodletTimeMode.Resetting,
	duration: 240
});

setup.moodletGroups.socialNegative = new MoodletGroup({
	accumulationMode: moodletAccumulationMode.LOWEST
});
setup.moodlets.annoyed = new Moodlet({
	title: "Annoyed",
	group: 'socialNegative',
	description: 'Somebody has annoyed you with their behavior.',
	effect: -5,
	timeMode: moodletTimeMode.Resetting,
	duration: 30
});
setup.moodlets.embarrassed = new Moodlet({
	title: "Embarrassed",
	group: 'socialNegative',
	description: 'You have been embarrassed.',
	effect: -30,
	timeMode: moodletTimeMode.Resetting,
	duration: 240
});

setup.moodlets.ignored = new Moodlet({
	title: "Ignored",
	group: 'socialNegative',
	description: 'You have been ignored where you would have liked to get attention.',
	effect: -5,
	timeMode: moodletTimeMode.Resetting,
	duration: 60
});

setup.moodlets.insulted = new Moodlet({
	title: "Insulted",
	group: 'socialNegative',
	description: 'You have been insulted.',
	effect: -10,
	timeMode: moodletTimeMode.Resetting,
	duration: 240
});


setup.moodletGroups.helpedUnfortunate = new MoodletGroup({
	accumulationMode: moodletAccumulationMode.HIGHEST
});

setup.moodlets.helpHomeless = new Moodlet({
	title: "Helped Homeless",
	group: 'helpedUnfortunate',
	description: 'You helped a homeless person.',
	effect: 15,
	timeMode: moodletTimeMode.Continuous,
	maxDuration: 480,
	timeConversion: 1,
});

setup.moodletGroups.socialPositive = new MoodletGroup({
	accumulationMode: moodletAccumulationMode.HIGHEST
});

setup.moodlets.acknowledged = new Moodlet({
	title: "Acknowledged",
	group: 'socialPositive',
	description: 'You got the positive attention you wanted.',
	effect: 5,
	timeMode: moodletTimeMode.Resetting,
	duration: 60
});

setup.moodlets.littlePraise = new Moodlet({
	title: "Little Praise",
	group: 'socialPositive',
	description: 'You received a minor praise.',
	effect: 10,
	timeMode: moodletTimeMode.Resetting,
	duration: 120
});

setup.moodlets.niceChat = new Moodlet({
	title: "Nice Chat",
	group: 'socialPositive',
	description: '',
	effect: 15,
	timeMode: moodletTimeMode.Resetting,
	duration: 120
});

setup.moodletGroups.vanity = new MoodletGroup({
	accumulationMode: moodletAccumulationMode.DIMINISHING
});

setup.moodletGroups.victim = new MoodletGroup({
	accumulationMode: moodletAccumulationMode.LOWEST
});

// ----- Hunger -----
setup.moodletGroups.hunger = new MoodletGroup({
	accumulationMode: moodletAccumulationMode.LOWEST
});

setup.moodlets.hunger_1 = new Moodlet({
	title: "Very Hungry",
	group: 'hunger',
	description: '',
	effect: -30,
	timeMode: moodletTimeMode.Lasting
});

setup.moodlets.hunger_2 = new Moodlet({
	title: "Extremely Hungry",
	group: 'hunger',
	description: '',
	effect: -60,
	timeMode: moodletTimeMode.Lasting
});

setup.moodlets.hunger_3 = new Moodlet({
	title: "Dying from Hunger",
	group: 'hunger',
	description: '',
	effect: -120,
	timeMode: moodletTimeMode.Lasting
});

// ----- Thirst -----
setup.moodletGroups.thirst = new MoodletGroup({
	accumulationMode: moodletAccumulationMode.LOWEST
});

setup.moodlets.thirst_1 = new Moodlet({
	title: "Very Thirsty",
	group: 'thirst',
	description: '',
	effect: -30,
	timeMode: moodletTimeMode.Lasting
});

setup.moodlets.thirst_2 = new Moodlet({
	title: "Extremely Thirsty",
	group: 'thirst',
	description: '',
	effect: -60,
	timeMode: moodletTimeMode.Lasting
});

setup.moodlets.thirst_3 = new Moodlet({
	title: "Dying from Thirst",
	group: 'thirst',
	description: '',
	effect: -120,
	timeMode: moodletTimeMode.Lasting
});

// ----- Phone -----
setup.moodletGroups.phone = new MoodletGroup({
	accumulationMode: moodletAccumulationMode.HIGHEST
});

setup.moodlets.phone_0 = new Moodlet({
	title: "Played with phone",
	group: 'phone_0',
	description: 'You played with your phone.',
	effect: 20,
	timeMode: moodletTimeMode.Resetting,
	duration: 120,
	maxDuration: 480
});



// ----- TV -----
setup.moodletGroups.tv = new MoodletGroup({
	accumulationMode: moodletAccumulationMode.HIGHEST
});
setup.moodlets.tv_0 = new Moodlet({
	title: "Watched TV (Low Quality)",
	group: 'tv',
	description: 'You watched TV on a low quality TV.',
	effect: 5,
	timeMode: moodletTimeMode.Continuous,
	timeConversion: 1,
	maxDuration: 480
});

setup.moodlets.tv_1 = new Moodlet({
	title: "Watched TV (Medium Quality)",
	group: 'tv',
	description: 'You watched TV on a medium quality TV.',
	effect: 10,
	timeMode: moodletTimeMode.Continuous,
	timeConversion: 1,
	maxDuration: 480,
	includes:['tv_0']
});

// ----- work -----
setup.moodletGroups.work = new MoodletGroup({
	accumulationMode: moodletAccumulationMode.ADD
});

setup.moodlets.housework = new Moodlet({
	title: "Housework",
	group: 'work',
	description: 'You performed housework.',
	effect: -20,
	timeMode: moodletTimeMode.Continuous,
	timeConversion: 2,
	maxDuration: 480
});